Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol
Class Treatment

    java.lang.Object
      org.irisa.genouest.logol.Treatment

    public class Treatment

extends java.lang.Object

This class generate some Prolog code based on parser result.
The `LogolVariable` contains all data needed to get intelligent parsing.

Version:
  1.0
Author:
  osallou

Field Summary
`static HashMapCounter` | `counters`
`static Model` | `currentModel`
`static int` | `dataType` Type of sequence data to analyse.
`static double` | `DEFAULTMAXDISTANCE` Maximum distance to use when looking for a word and distance is not yet known.
`static java.util.Vector<java.lang.String>` | `definitions`
`static java.lang.String` | `filename`
`static java.lang.String` | `installPath` Installation path
`static int` | `isAny`
`static java.lang.String` | `isAnyMax`
`static java.lang.String` | `isAnyMin`
`static int` | `maxLength` Maximum length of a variable X
`static long` | `maxResultSize` Maximum length of a complete match
`static int` | `maxSpacerLength` Maximum length of a spacer .*
`static int` | `minLength` Minimum length of a variable X
`static java.util.Vector<Model>` | `models`
`static int` | `parentStrategy` Strategy to apply when looking for parents.
`static java.lang.String` | `query` Query e.g.
`static boolean` | `saveAny` Decides if previous spacer must be saved
`static java.lang.String` | `suffixSearchPath` Path to suffixSearch shell
`static java.lang.String` | `uID`
`static java.util.HashMap<java.lang.Integer,LogolVariable>` | `varInfo`
`static java.lang.String` | `workingDir`

Constructor Summary
`Treatment()`

Method Summary
`java.lang.String` | `get(LogolVariable lvar, int countVar)` Creates Prolog query for the current variable
`static int` | `getParseStep()` get the current step of parsing
`static void` | `reset()`
`static void` | `setParseStep(int step)` Defines current step

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataType

    public static int dataType

  Type of sequence data to analyse. 0: DNA 1: RNA 2: Protein

### saveAny

    public static boolean saveAny

  Decides if previous spacer must be saved

### counters

    public static HashMapCounter counters

### models

    public static java.util.Vector<Model> models

### definitions

    public static java.util.Vector<java.lang.String> definitions

### query

    public static java.lang.String query

  Query e.g. sequence of models

### varInfo

    public static java.util.HashMap<java.lang.Integer,LogolVariable> varInfo

### uID

    public static java.lang.String uID

### workingDir

    public static java.lang.String workingDir

### filename

    public static java.lang.String filename

### currentModel

    public static Model currentModel

### DEFAULTMAXDISTANCE

    public static double DEFAULTMAXDISTANCE

  Maximum distance to use when looking for a word and distance is not yet known. Default is 1 e.g. 100%.

### isAny

    public static int isAny

### isAnyMin

    public static java.lang.String isAnyMin

### isAnyMax

    public static java.lang.String isAnyMax

### minLength

    public static int minLength

  Minimum length of a variable X

### maxLength

    public static int maxLength

  Maximum length of a variable X

### maxSpacerLength

    public static int maxSpacerLength

  Maximum length of a spacer .*

### maxResultSize

    public static long maxResultSize

  Maximum length of a complete match

### parentStrategy

    public static int parentStrategy

  Strategy to apply when looking for parents. 0: Get all parents at first X, then compare with next when reached. All solutions are evaluated once. 1: Save parent as equal to first match in string. Then evaluate all parents for each next call (interesting if applying a strategy limiting. number of possibilities

### installPath

    public static java.lang.String installPath

  Installation path

### suffixSearchPath

    public static java.lang.String suffixSearchPath

  Path to suffixSearch shell

Constructor Detail

### Treatment

    public Treatment()

Method Detail

### reset

    public static void reset()

### getParseStep

    public static int getParseStep()

  get the current step of parsing

  Returns:
    the current step id

### setParseStep

    public static void setParseStep(int step)

  Defines current step

  Parameters:
    `step` - See Constants

### get

    public java.lang.String get(LogolVariable lvar,
                                int countVar)

  Creates Prolog query for the current variable

  Parameters:
    `lvar` - variable to analyse
    `countVar` - id of the current variable
  Returns:
    Prolog string
  Throws:
    `GrammarException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD